#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "SpecialEventManager.generated.h"

class USpecialEventsContainer;
class USpecialEventCustomizationsComponent;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API USpecialEventManager : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	USpecialEventsContainer* _eventsContainer;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	USpecialEventCustomizationsComponent* _customizationsComponent;

public:
	USpecialEventManager();
};

FORCEINLINE uint32 GetTypeHash(const USpecialEventManager) { return 0; }
